Subject: Re: XCursorGen
To: None <>
From: Matthias Scheler <>
List: tech-x11
Date: 08/17/2003 16:57:45
In article <>,
	Nicholas Ricketts <> writes:
> if I use the package to install xcursorgen then they fix the xsrc 
> so that xcursorgen builds by default.

This will not happen because as said before we don't have "libpng" in the
base system.

> Then I will have a problem.

Not really. The package tools would recognize that the binary has been
modified and leave it alone if you do "pkg_delete xcursorgen".

> I will have 2 different verions installed in the same place.

If you install the "xpkgwedge" package you will have "/usr/pkg/bin/xcursorgen"
vs. "/usr/X11R6/bin/xcursorgen" and avoid the conflict completely.

> I really need it to compile from xsrc.

No, you don't. You cause yourself a lot more trouble if you modify your
copy of "xsrc" instead of using the package.

	Kind regards

Matthias Scheler